JDBCUtil (HSQLDB 2.4.0 API)
Date: 2017-04-09

org.hsqldb.jdbc

## Class JDBCUtil

- java.lang.Object
- - org.hsqldb.jdbc.JDBCUtil

-     public final class JDBCUtil
      extends Object

  Provides driver constants and a gateway from internal HsqlExceptions to external SQLExceptions.
  Since:
    1.7.2
  Author:
    Campbell Burnet (campbell-burnet@users dot sourceforge.net), Fred Toussi (fredt@users dot sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JDBCUtil()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SQLException` | `connectionClosedException()`
    `static SQLException` | `invalidArgument()`
    `static SQLException` | `invalidArgument(String name)`
    `static SQLException` | `nullArgument()`
    `static SQLException` | `outOfRangeArgument()`
    `static SQLException` | `outOfRangeArgument(String name)`
    `static SQLException` | `sqlException(org.hsqldb.HsqlException e)`
    `static SQLException` | `sqlException(org.hsqldb.HsqlException e, Throwable cause)`
    `static SQLException` | `sqlException(int id)`
    `static SQLException` | `sqlException(int id, int add)`
    `static SQLException` | `sqlException(int id, String message)`
    `static SQLException` | `sqlException(int id, String message, Throwable cause)`
    `static SQLException` | `sqlException(org.hsqldb.result.Result r)`
    `static SQLException` | `sqlException(String msg, String sqlstate, int code, Throwable cause)`
    `static SQLException` | `sqlException(Throwable t)`
    `static SQLException` | `sqlExceptionSQL(int id)`
    `static SQLWarning` | `sqlWarning(org.hsqldb.result.Result r)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JDBCUtil

          public JDBCUtil()

  - ### Method Detail

    - #### sqlException

          public static SQLException sqlException(org.hsqldb.HsqlException e)

    - #### sqlException

          public static SQLException sqlException(org.hsqldb.HsqlException e,
                                                  Throwable cause)

    - #### sqlException

          public static SQLException sqlException(int id)

    - #### sqlExceptionSQL

          public static SQLException sqlExceptionSQL(int id)

    - #### sqlException

          public static SQLException sqlException(int id,
                                                  String message)

    - #### sqlException

          public static SQLException sqlException(int id,
                                                  String message,
                                                  Throwable cause)

    - #### sqlException

          public static SQLException sqlException(int id,
                                                  int add)

    - #### nullArgument

          public static SQLException nullArgument()

    - #### invalidArgument

          public static SQLException invalidArgument()

    - #### invalidArgument

          public static SQLException invalidArgument(String name)

    - #### outOfRangeArgument

          public static SQLException outOfRangeArgument()

    - #### outOfRangeArgument

          public static SQLException outOfRangeArgument(String name)

    - #### connectionClosedException

          public static SQLException connectionClosedException()

    - #### sqlWarning

          public static SQLWarning sqlWarning(org.hsqldb.result.Result r)

    - #### sqlException

          public static SQLException sqlException(Throwable t)

    - #### sqlException

          public static SQLException sqlException(org.hsqldb.result.Result r)

    - #### sqlException

          public static SQLException sqlException(String msg,
                                                  String sqlstate,
                                                  int code,
                                                  Throwable cause)

Copyright © 2001 - 2017 HSQL Development Group.